## adduser-ng 0.1.1-1.1

=== Makefile ===
#
# Makefile for AddUser-NG installation.
# 

PREFIX=/usr
CONFIG_PREFIX=
USER_DOCS_DIR=$(PREFIX)/share/doc/adduser-ng
DEVEL_DOCS_DIR=$(PREFIX)/share/doc/adduser-ng

# if package will not be specified, use adduser-ng
PACKAGE=adduser-ng

all: install

clean: clean_adduser

clean_adduser:
	perl -i -pe 's#$(CONFIG_PREFIX)/etc/adduser-ng/adduser-ng.conf#adduser-ng/adduser-ng.conf#' adduser
	rm -rf Docs/user_polish &> /dev/null
	rm -rf Docs/developer_polish &> /dev/null

build_adduser:
	perl -i -pe 's#adduser-ng/adduser-ng.conf#$(CONFIG_PREFIX)/etc/adduser-ng/adduser-ng.conf#' adduser

install:
	$(MAKE) PACKAGE=adduser-ng install_adduser
	$(MAKE) PACKAGE=libadduser-pluginloader-perl install_pluginloader
	$(MAKE) PACKAGE=adduser-ui-cdk install_uicdk
	$(MAKE) PACKAGE=adduser-plugin-quota install_pluginquota
	$(MAKE) PACKAGE=adduser-plugins-eximconf install_plugineximconf
	$(MAKE) PACKAGE=adduser-plugins-eximconf4 install_plugineximconf4
	$(MAKE) PACKAGE=adduser-plugins-notifyjabber install_pluginnotifyjabber
	$(MAKE) PACKAGE=adduser-plugins-cvsaccess install_plugincvsaccess

install_adduser: build_adduser
	#
	# adduser-ng package installation
	install -o root -g root -m 755 -d $(PREFIX)/sbin
	install -o root -g root -m 755 -d $(PREFIX)/share/adduser-ng/plugins
	install -o root -g root -m 755 -d $(CONFIG_PREFIX)/etc/adduser-ng
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/UI
	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)

	install -o root -g root -m 755 adduser $(PREFIX)/sbin/adduser-ng
	install -o root -g root -m 644 Docs/plugins/UserAdd.xml $(PREFIX)/share/adduser-ng/plugins/
	install -o root -g root -m 644 Docs/plugins/GroupAdd.xml $(PREFIX)/share/adduser-ng/plugins/
	install -o root -g root -m 644 Docs/plugins/PasswdUser.xml $(PREFIX)/share/adduser-ng/plugins/
	install -o root -g root -m 644 adduser-ng/adduser-ng.conf-dist $(CONFIG_PREFIX)/etc/adduser-ng/adduser-ng.conf
	# plugins
	install -o root -g root -m 644 lib/AddUser/StdLib.pm $(PREFIX)/share/perl5/AddUser/
	install -o root -g root -m 644 lib/AddUser/GroupConfig.pm $(PREFIX)/share/perl5/AddUser/
	install -o root -g root -m 644 lib/AddUser/plugins/UserAdd.pm $(PREFIX)/share/perl5/AddUser/plugins/
	install -o root -g root -m 644 lib/AddUser/plugins/GroupAdd.pm $(PREFIX)/share/perl5/AddUser/plugins/
	install -o root -g root -m 644 lib/AddUser/plugins/PasswdUser.pm $(PREFIX)/share/perl5/AddUser/plugins/
	# UI
	install -o root -g root -m 644 lib/AddUser/UI/batch.pm $(PREFIX)/share/perl5/AddUser/UI/
	install -o root -g root -m 644 lib/AddUser/UI/readline.pm $(PREFIX)/share/perl5/AddUser/UI/
	# documentation
	xalan -IN Docs/plugins/UserAdd.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/UserAdd.html
	xalan -IN Docs/plugins/GroupAdd.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/GroupAdd.html
	xalan -IN Docs/plugins/PasswdUser.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/PasswdUser.html

generate_docs:
	scripts/generate_docs.sh all Docs/user_polish.xml Docs/
	scripts/generate_docs.sh all Docs/developer_polish.xml Docs/

install_docs:
	install -o root -g root -m 644 Docs/user_polish/* $(USER_DOCS_DIR)
	install -o root -g root -m 644 Docs/developer_polish/* $(DEVEL_DOCS_DIR)

install_pluginloader:
	#
	# libadduser-pluginloader
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser
	install -o root -g root -m 644 lib/AddUser/PluginLoader.pm $(PREFIX)/share/perl5/AddUser/

install_uicdk:
	#
	# adduser-ui-cdk
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/UI
	install -o root -g root -m 644 lib/AddUser/UI/cdk.pm $(PREFIX)/share/perl5/AddUser/UI/

install_pluginquota:
	#
	# adduser-plugin-quota
	install -o root -g root -m 755 -d $(PREFIX)/share/adduser-ng/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)

	install -o root -g root -m 644 Docs/plugins/Quota.xml $(PREFIX)/share/adduser-ng/plugins/
	install -o root -g root -m 644 lib/AddUser/plugins/Quota.pm $(PREFIX)/share/perl5/AddUser/plugins/
	xalan -IN Docs/plugins/Quota.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/Quota.html

install_pluginnotifyjabber:
	#
	# adduser-plugin-notifyjabber
	install -o root -g root -m 755 -d $(PREFIX)/share/adduser-ng/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)

	install -o root -g root -m 644 Docs/plugins/NotifyJabber.xml $(PREFIX)/share/adduser-ng/plugins/
	install -o root -g root -m 644 lib/AddUser/plugins/NotifyJabber.pm $(PREFIX)/share/perl5/AddUser/plugins/
	xalan -IN Docs/plugins/NotifyJabber.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/NotifyJabber.html

install_plugincvsaccess:
	#
	# adduser-plugin-cvsaccess
	install -o root -g root -m 755 -d $(PREFIX)/share/adduser-ng/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)

	install -o root -g root -m 644 Docs/plugins/CVSAccess.xml $(PREFIX)/share/adduser-ng/plugins/
	install -o root -g root -m 644 lib/AddUser/plugins/CVSAccess.pm $(PREFIX)/share/perl5/AddUser/plugins/
	xalan -IN Docs/plugins/CVSAccess.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/CVSAccess.html

install_plugineximconf:
	#
	# adduser-plugin-eximconf
	install -o root -g root -m 755 -d $(PREFIX)/share/adduser-ng/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)

	install -o root -g root -m 644 Docs/plugins/EximConf.xml $(PREFIX)/share/adduser-ng/plugins/
	install -o root -g root -m 644 lib/AddUser/plugins/EximConf.pm $(PREFIX)/share/perl5/AddUser/plugins/
	xalan -IN Docs/plugins/EximConf.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html

install_plugineximconf4:
	#
	# adduser-plugin-eximconf4
	install -o root -g root -m 755 -d $(PREFIX)/share/adduser-ng/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/plugins
	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)

	install -o root -g root -m 644 Docs/plugins/EximConf4.xml $(PREFIX)/share/adduser-ng/plugins/
	install -o root -g root -m 644 lib/AddUser/plugins/EximConf4.pm $(PREFIX)/share/perl5/AddUser/plugins/
	xalan -IN Docs/plugins/EximConf4.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html

install_all_plugins: install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber

.PHONY: install install_adduser install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber

=== debian/changelog ===
adduser-ng (0.1.1-1.1) unstable; urgency=low

  * NMU during BSP.
  * changed Recommends from libadduser-plugins-ui-cdk-perl to adduser-ui-cdk.
    Closes: #240551.
 
 -- Andreas Barth <aba@not.so.argh.org>  Sun, 18 Apr 2004 17:48:43 +0200

adduser-ng (0.1.1-1) unstable; urgency=low

  * New upstream release (closes: #223025):
    - fixed bug: new users home directory was not created.
    - UserAdd.home_dir_mode: new option, which allows to set new home directory
      permissions.
    - EximConf: fixes.
    - EximConf4: new plugin for exim 4.x mta server (based on EximConf).
    - NotifyJabber: fixed sending messages to multiple jids.

 -- Robert Olejnik <robert@zaron.debian.pl>  Fri,  7 Nov 2003 22:37:29 +0100

adduser-ng (0.1.0-1) unstable; urgency=low

  * New upstream (first public release).

 -- Robert Olejnik <robert@zaron.debian.pl>  Fri, 31 Oct 2003 01:40:36 +0100

adduser-ng (0.0.1-8) unstable; urgency=low

  * Fixed spelling errors in debian/control :)

 -- Robert Olejnik <robert@zaron.debian.pl>  Mon, 29 Sep 2003 23:03:29 +0200

adduser-ng (0.0.1-7) unstable; urgency=low

  * Fixed 'Section' field for some packages (all packages had 'admin' section,
    which in case of doc packages is wrong).
  * Updated 'adduser-plugin-notifyjabber' package description.

 -- Robert Olejnik <robert@zaron.debian.pl>  Mon, 29 Sep 2003 14:02:08 +0200

adduser-ng (0.0.1-6) unstable; urgency=low

  * Added generation of new packages 'adduser-plugin-notifyjabber'.
  * Fixed documentation path for 'adduser-plugin-eximconf' package.

 -- Robert Olejnik <robert@zaron.debian.pl>  Sat,  6 Sep 2003 17:48:45 +0200

adduser-ng (0.0.1-5) unstable; urgency=low

  * Added generation of new packages 'adduser-ng-doc'
    and 'adduser-ng-doc-devel'.
  * Updated homepage information in debian/copyright.

 -- Robert Olejnik <robert@zaron.debian.pl>  Mon,  1 Sep 2003 17:59:58 +0200

adduser-ng (0.0.1-4) unstable; urgency=low

  * Package updates to avoid lintian errors.
  * Added new package 'adduser-plugins-eximconf'.

 -- Robert Olejnik <robert@zaron.debian.pl>  Fri,  1 Aug 2003 04:41:59 +0200

adduser-ng (0.0.1-3) unstable; urgency=low

  * Fixed broken dependency.

  * adduser-ng.example: Updated to follow rename.

 -- Bartosz Oler <liar@bzimage.us>  Tue, 29 Jul 2003 19:38:45 +0200

adduser-ng (0.0.1-2) unstable; urgency=low

  * Rewritten the debian package configuration files (made three packages
    instead of one)

 -- Robert Olejnik <robert@zaron.debian.pl>  Tue, 29 Jul 2003 16:59:09 +0200

adduser-ng (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Bartosz Oler <liar@bzimage.us>  Sun, 27 Jul 2003 01:30:12 +0200

=== debian/control ===
Source: adduser-ng
Section: admin
Priority: optional
Maintainer: adduser-ng Authors <authors@adduser.linux.pl>
Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, passivetex, perl (>= 5.6.0-16), passivetex
Standards-Version: 3.6.0

Package: adduser-ng
Architecture: all
Depends: ${perl:Depends}, libadduser-pluginloader-perl, libconfig-inifiles-perl, libgetopt-mixed-perl, libxml-simple-perl, libterm-readline-gnu-perl
Recommends: adduser-ui-cdk
Description: Add and remove users and groups
 This package is meant to be a replacement for the adduser script.
 It's written in perl with flexibility and modularity kept in mind.
 .
 The major advantages are:
 .
  * built-in plugins for user and groups administration,
  * different set of User Interfaces,
  * very flexible configuration,
  * good documentation on how to write your own plugins.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-ng-doc
Architecture: all
Section: doc
Recommends: adduser-ng
Description: Documentation for AddUser-NG users
 This package is meant to be a replacement for the adduser script.
 It's written in perl with flexibility and modularity kept in mind.
 .
 The major advantages are:
 .
  * built-in plugins for user and groups administration,
  * different set of User Interfaces,
  * very flexible configuration,
  * good documentation on how to write your own plugins.
 .
 This package holds complete documentation on how to use, configure, etc...
 AddUser-NG program.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-ng-doc-devel
Architecture: all
Section: doc
Recommends: adduser-ng, adduser-ng-doc
Description: Documentation for AddUser-NG developers
 This package is meant to be a replacement for the adduser script.
 It's written in perl with flexibility and modularity kept in mind.
 .
 The major advantages are:
 .
  * built-in plugins for user and groups administration,
  * different set of User Interfaces,
  * very flexible configuration,
  * good documentation on how to write your own plugins.
 .
 This package holds a complete documentation for people who want to help
 in development of AddUser-NG program, or want to write their own plugins
 and user interfaces.
 .
 Homepage: http://adduser.linux.pl

Package: libadduser-pluginloader-perl
Architecture: all
Section: libs
Depends: ${perl:Depends}
Description: Plugin loader, written for perl scripts
 This package holds a perl module developed with adduser-ng program, which is
 designed to load plugins (extensions).
 .
 Homepage: http://adduser.linux.pl

Package: adduser-ui-cdk
Architecture: all
Depends: ${perl:Depends}, adduser-ng, libcdk-perl
Description: Cdk-based User Interface for adduser-ng
 This package holds Cdk-based (Curses Development Kit) User Interface for
 adduser-ng package. If you would like to have control over adduser-ng in 
 full screen and with colors, you should install this package.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-quota
Architecture: all
Depends: ${perl:Depends}, adduser-ng, libquota-perl
Description: adduser-ng plugin, which provides access to filesystem quota
 This package holds the quota plugin for adduser Next Generation program. Main
 goal of this plugin is to set quota for newly added user with adduser-ng
 program.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-notifyjabber
Architecture: all
Depends: ${perl:Depends}, adduser-ng, libnet-jabber-perl
Description: Send messages to a JID about new added users
 If you are using Jabber IM, and you want to know about users that had been
 added with adduser-ng package, consider using this package.
 .
 For instance, you have many administrators on your server, and you want to
 keep track of users that had been added with adduser-ng. All you have to do
 is to configure this plugin to send information about this to your JID.
 .
 This package contains experimental software, so use it at your own risk.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-eximconf
Architecture: all
Depends: ${perl:Depends}, adduser-ng
Description: Specific Exim mail server configuration plugin
 This package holds a plugin for adduser-ng program, that is written for a
 specific configuration of Exim MTA called EximConf. If you use Exim with this
 configuration and adduser-ng program, please consider installing this plugin.
 Main goals of this plugin are:
 .
  * automatically add email aliases when adding a new user
  * automatically remap outgoing mail for new user to a desired domain name
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-eximconf4
Architecture: all
Depends: ${perl:Depends}, adduser-ng
Description: Specific Exim mta (version 4.x) server configuration plugin
 This package holds a plugin for adduser-ng program, that is written for a
 specific configuration of Exim 4.x MTA called EximConf4. If you use Exim with
 this configuration and adduser-ng program, please consider installing this
 plugin.
 Main goals of this plugin are:
 .
  * automatically add email aliases when adding a new user
  * automatically remap outgoing mail for new user to a desired domain name
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-cvsaccess
Architecture: all
Depends: ${perl:Depends}, adduser-ng
Description: Manage access to CVS repositories via pserver
 This package holds the cvsaccess plugin for adduser Next Generation program
 which allows you to control access to CVS repositories available over pserver.
 .
 Homepage: http://adduser.linux.pl

=== debian/rules ===
#!/usr/bin/make -f
#
# This file is public domain software, originally written by Joey Hess.
#
# This file is part of adduser-ng package
#
# $Id: s.rules 1.18 03/11/04 20:27:52+01:00 robert@zaron.debian.pl $



# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=4

#
# PACKAGES
#

# this packages will be made
adduser_package=adduser-ng
pluginloader_package=libadduser-pluginloader-perl
cdk_package=adduser-ui-cdk
quota_package=adduser-plugin-quota
eximconf_package=adduser-plugin-eximconf
eximconf4_package=adduser-plugin-eximconf4
notifyjabber_package=adduser-plugin-notifyjabber
cvsaccess_package=adduser-plugin-cvsaccess

# docs packages
doc_user=adduser-ng-doc
doc_devel=adduser-ng-doc-devel


build: build-stamp
build-stamp:
	dh_testdir
	
	$(MAKE) generate_docs

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) CONFIG_PREFIX=debian/$(adduser_package) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) PREFIX=debian/$(adduser_package)/usr CONFIG_PREFIX=debian/$(adduser_package) PACKAGE=adduser-ng install_adduser install_adduser
	# fix the config file location
	perl -i -pe 's#debian/$(adduser_package)/etc/adduser-ng/adduser-ng.conf#/etc/adduser-ng/adduser-ng.conf#' debian/$(adduser_package)/usr/sbin/adduser-ng
	$(MAKE) PREFIX=debian/$(pluginloader_package)/usr PACKAGE=libadduser-pluginloader-perl install_pluginloader
	$(MAKE) PREFIX=debian/$(cdk_package)/usr PACKAGE=adduser-ui-cdk install_uicdk
	$(MAKE) PREFIX=debian/$(quota_package)/usr PACKAGE=adduser-plugin-quota install_pluginquota
	$(MAKE) PREFIX=debian/$(notifyjabber_package)/usr PACKAGE=adduser-plugin-notifyjabber install_pluginnotifyjabber
	$(MAKE) PREFIX=debian/$(cvsaccess_package)/usr PACKAGE=adduser-plugin-cvsaccess install_plugincvsaccess
	$(MAKE) PREFIX=debian/$(eximconf_package)/usr PACKAGE=adduser-plugin-eximconf install_plugineximconf
	$(MAKE) PREFIX=debian/$(eximconf4_package)/usr PACKAGE=adduser-plugin-eximconf4 install_plugineximconf4

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
	dh_installman Docs/adduser-ng.8 Docs/adduser-ng.pl.8
	dh_link
	dh_compress -X.xml
	dh_fixperms
	dh_perl lib/AddUser/ lib/AddUser/UI/
#	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## adduser-ng 0.1.2-1

=== debian/changelog ===
adduser-ng (0.1.2-1) unstable; urgency=low

  * New upstream release:
    - added translated to english users documentation
    - BKDInit: new plugin, used for managing bkd-init
      (http://teon.org/projects_list.php?name=bkd-init) configuration.

 -- Robert Olejnik <robert@zaron.debian.pl>  Thu, 22 Apr 2004 01:03:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: adduser-ng
 Section: admin
-Priority: optional
-Maintainer: adduser-ng Authors <authors@adduser.linux.pl>
-Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, passivetex, perl (>= 5.6.0-16), passivetex
-Standards-Version: 3.6.0
+Priority: extra
+Maintainer: Robert Olejnik <robert@zaron.debian.pl>
+Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, passivetex, perl (>= 5.6)
+Standards-Version: 3.6.1
 
 Package: adduser-ng
 Architecture: all
@@ -146,3 +146,14 @@
  .
  Homepage: http://adduser.linux.pl
 
+
+Package: adduser-plugin-bkdinit
+Architecture: all
+Depends: ${perl:Depends}, adduser-ng
+Description: Manage configuration of BKD-Init
+ This package holds the bkdinit plugin for adduser Next Generation program
+ which allows you to manage configuration of BKD-Init script (you can find it
+ at: http://teon.org/projects_list.php?name=bkd-init).
+ .
+ Homepage: http://adduser.linux.pl
+

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,34 @@
 #!/usr/bin/make -f
 #
-# This file is public domain software, originally written by Joey Hess.
+# Module:     rules   
+# Date:       04/22/04   
+# Version:    1.21   
+# Edited by:  teon@teon.org   
+# Description:   
 #
-# This file is part of adduser-ng package
+#  AddUser-NG Debian package rules file.  
+#   
+# License:  
+#  
+#  This program is free software; you can redistribute it and/or modify  
+#  it under the terms of the GNU General Public License Version 2 as  
+#  published by the Free Software Foundation.  
+#  
+#  This program is distributed in the hope that it will be useful,  
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of  
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
+#  GNU General Public License for more details.  
+#  
+#  You should have received a copy of the GNU General Public License  
+#  along with this program; if not, write to the Free Software  
+#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,  
+#  USA.  
+#  
+# This file is part of adduser-ng program.  
+#  
+# Copyright (C) 2003-2004 Bartosz Oler <liar@bzimage.us>  
+# Copyright (C) 2003-2004 Robert Olejnik <teon@teon.org>  
 #
-# $Id: s.rules 1.18 03/11/04 20:27:52+01:00 robert@zaron.debian.pl $
-
 
 
 # Uncomment this to turn on verbose mode.
@@ -25,6 +48,7 @@
 eximconf4_package=adduser-plugin-eximconf4
 notifyjabber_package=adduser-plugin-notifyjabber
 cvsaccess_package=adduser-plugin-cvsaccess
+bkdinit_package=adduser-plugin-bkdinit
 
 # docs packages
 doc_user=adduser-ng-doc
@@ -35,7 +59,8 @@
 build-stamp:
 	dh_testdir
 	
-	$(MAKE) generate_docs
+	$(MAKE) generate_docs_user
+	$(MAKE) generate_docs_devel
 
 	touch build-stamp
 
@@ -62,8 +87,11 @@
 	$(MAKE) PREFIX=debian/$(quota_package)/usr PACKAGE=adduser-plugin-quota install_pluginquota
 	$(MAKE) PREFIX=debian/$(notifyjabber_package)/usr PACKAGE=adduser-plugin-notifyjabber install_pluginnotifyjabber
 	$(MAKE) PREFIX=debian/$(cvsaccess_package)/usr PACKAGE=adduser-plugin-cvsaccess install_plugincvsaccess
+	$(MAKE) PREFIX=debian/$(bkdinit_package)/usr PACKAGE=adduser-plugin-bkdinit install_pluginbkdinit
 	$(MAKE) PREFIX=debian/$(eximconf_package)/usr PACKAGE=adduser-plugin-eximconf install_plugineximconf
 	$(MAKE) PREFIX=debian/$(eximconf4_package)/usr PACKAGE=adduser-plugin-eximconf4 install_plugineximconf4
+	$(MAKE) PREFIX=debian/$(doc_user)/usr PACKAGE=$(doc_user) install_docs_user
+	$(MAKE) PREFIX=debian/$(doc_devel)/usr PACKAGE=$(doc_devel) install_docs_devel
 
 # Build architecture-independent files here.
 binary-indep: build install

## adduser-ng 0.1.2-1.2

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 PREFIX=/usr
 CONFIG_PREFIX=
-USER_DOCS_DIR=$(PREFIX)/share/doc/adduser-ng
-DEVEL_DOCS_DIR=$(PREFIX)/share/doc/adduser-ng
 
 # if package will not be specified, use adduser-ng
 PACKAGE=adduser-ng
@@ -17,6 +15,7 @@
 clean_adduser:
 	perl -i -pe 's#$(CONFIG_PREFIX)/etc/adduser-ng/adduser-ng.conf#adduser-ng/adduser-ng.conf#' adduser
 	rm -rf Docs/user_polish &> /dev/null
+	rm -rf Docs/user_english &> /dev/null
 	rm -rf Docs/developer_polish &> /dev/null
 
 build_adduser:
@@ -31,6 +30,7 @@
 	$(MAKE) PACKAGE=adduser-plugins-eximconf4 install_plugineximconf4
 	$(MAKE) PACKAGE=adduser-plugins-notifyjabber install_pluginnotifyjabber
 	$(MAKE) PACKAGE=adduser-plugins-cvsaccess install_plugincvsaccess
+	$(MAKE) PACKAGE=adduser-plugins-bkdinit install_pluginbkdinit
 
 install_adduser: build_adduser
 	#
@@ -62,13 +62,22 @@
 	xalan -IN Docs/plugins/GroupAdd.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/GroupAdd.html
 	xalan -IN Docs/plugins/PasswdUser.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/PasswdUser.html
 
-generate_docs:
+generate_docs_user:
 	scripts/generate_docs.sh all Docs/user_polish.xml Docs/
+	scripts/generate_docs.sh all Docs/user_english.xml Docs/
+
+generate_docs_devel:
 	scripts/generate_docs.sh all Docs/developer_polish.xml Docs/
 
-install_docs:
-	install -o root -g root -m 644 Docs/user_polish/* $(USER_DOCS_DIR)
-	install -o root -g root -m 644 Docs/developer_polish/* $(DEVEL_DOCS_DIR)
+install_docs_user:
+	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)/polish/
+	install -o root -g root -m 644 Docs/user_polish/* $(PREFIX)/share/doc/$(PACKAGE)/polish/
+	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)/english/
+	install -o root -g root -m 644 Docs/user_english/* $(PREFIX)/share/doc/$(PACKAGE)/english/
+
+install_docs_devel:
+	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)/polish/
+	install -o root -g root -m 644 Docs/developer_polish/* $(PREFIX)/share/doc/$(PACKAGE)/polish/
 
 install_pluginloader:
 	#
@@ -115,6 +124,17 @@
 	install -o root -g root -m 644 lib/AddUser/plugins/CVSAccess.pm $(PREFIX)/share/perl5/AddUser/plugins/
 	xalan -IN Docs/plugins/CVSAccess.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/CVSAccess.html
 
+install_pluginbkdinit:
+	#
+	# adduser-plugin-bkdinit
+	install -o root -g root -m 755 -d $(PREFIX)/share/adduser-ng/plugins
+	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/plugins
+	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)
+
+	install -o root -g root -m 644 Docs/plugins/BKDInit.xml $(PREFIX)/share/adduser-ng/plugins/
+	install -o root -g root -m 644 lib/AddUser/plugins/BKDInit.pm $(PREFIX)/share/perl5/AddUser/plugins/
+	xalan -IN Docs/plugins/BKDInit.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/BKDInit.html
+
 install_plugineximconf:
 	#
 	# adduser-plugin-eximconf
@@ -137,6 +157,6 @@
 	install -o root -g root -m 644 lib/AddUser/plugins/EximConf4.pm $(PREFIX)/share/perl5/AddUser/plugins/
 	xalan -IN Docs/plugins/EximConf4.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
 
-install_all_plugins: install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber
+install_all_plugins: install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber install_plugincvsaccess install_pluginbkdinit
 
-.PHONY: install install_adduser install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber
+.PHONY: install install_adduser install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber install_plugincvsaccess install_pluginbkdinit

=== debian/changelog ===
adduser-ng (0.1.2-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high to target sarge release as this fixes an RC bug.
  * Re-added non-chunked (single-file) HTML documentation per Frank
    Lichtenheld's suggestion.

 -- martin f. krafft <madduck@debian.org>  Mon, 23 May 2005 23:05:56 +0200

adduser-ng (0.1.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high to target sarge release as this fixes an RC bug.
  * Applied patch by Roger Leigh <rleigh@whinlatter.ukfsn.org> to
    debian/rules, which prevents generation of PDF documentation (it does not
    generate "all" documentation anymore, but explicitly generates the plain
    text and HTML versions for the available languages).
    Rationale for PDF removal: plain text and HTML documentation are enough,
    and PDF documentation is available from the upstream website.
    (closes: Bug#310246)
  * Added README.pdf to refer to the upstream website PDF documentation to the
    two -doc packages.
  * Removed unneeded passivetex build dependency.
  * Added build dependency on w3m for plain text documentation generation from
    HTML.

 -- martin f. krafft <madduck@debian.org>  Mon, 23 May 2005 20:51:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Robert Olejnik <robert@zaron.debian.pl>
-Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, passivetex, perl (>= 5.6)
+Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, perl (>= 5.6), w3m
 Standards-Version: 3.6.1
 
 Package: adduser-ng

=== debian/rules ===
--- 
+++ 
@@ -59,8 +59,15 @@
 build-stamp:
 	dh_testdir
 	
-	$(MAKE) generate_docs_user
-	$(MAKE) generate_docs_devel
+	scripts/generate_docs.sh txt Docs/user_polish.xml Docs/
+	scripts/generate_docs.sh html Docs/user_polish.xml Docs/
+	scripts/generate_docs.sh html-nochunks Docs/user_polish.xml Docs/
+	scripts/generate_docs.sh txt Docs/user_english.xml Docs/
+	scripts/generate_docs.sh html Docs/user_english.xml Docs/
+	scripts/generate_docs.sh html-nochunks Docs/user_english.xml Docs/
+	scripts/generate_docs.sh txt Docs/developer_polish.xml Docs/
+	scripts/generate_docs.sh html Docs/developer_polish.xml Docs/
+	scripts/generate_docs.sh html-nochunks Docs/developer_polish.xml Docs/
 
 	touch build-stamp

## adduser-ng 0.1.2-1.3

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 clean: clean_adduser
 
 clean_adduser:
-	perl -i -pe 's#$(CONFIG_PREFIX)/etc/adduser-ng/adduser-ng.conf#adduser-ng/adduser-ng.conf#' adduser
+	sed -i 's#$(CONFIG_PREFIX)/etc/adduser-ng/adduser-ng.conf#adduser-ng/adduser-ng.conf#' adduser
 	rm -rf Docs/user_polish &> /dev/null
 	rm -rf Docs/user_english &> /dev/null
 	rm -rf Docs/developer_polish &> /dev/null
@@ -58,9 +58,9 @@
 	install -o root -g root -m 644 lib/AddUser/UI/batch.pm $(PREFIX)/share/perl5/AddUser/UI/
 	install -o root -g root -m 644 lib/AddUser/UI/readline.pm $(PREFIX)/share/perl5/AddUser/UI/
 	# documentation
-	xalan -IN Docs/plugins/UserAdd.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/UserAdd.html
-	xalan -IN Docs/plugins/GroupAdd.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/GroupAdd.html
-	xalan -IN Docs/plugins/PasswdUser.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/PasswdUser.html
+	xalan -in Docs/plugins/UserAdd.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/UserAdd.html
+	xalan -in Docs/plugins/GroupAdd.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/GroupAdd.html
+	xalan -in Docs/plugins/PasswdUser.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/PasswdUser.html
 
 generate_docs_user:
 	scripts/generate_docs.sh all Docs/user_polish.xml Docs/
@@ -100,7 +100,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/Quota.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/Quota.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/Quota.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/Quota.html
+	xalan -in Docs/plugins/Quota.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/Quota.html
 
 install_pluginnotifyjabber:
 	#
@@ -111,7 +111,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/NotifyJabber.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/NotifyJabber.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/NotifyJabber.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/NotifyJabber.html
+	xalan -in Docs/plugins/NotifyJabber.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/NotifyJabber.html
 
 install_plugincvsaccess:
 	#
@@ -122,7 +122,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/CVSAccess.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/CVSAccess.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/CVSAccess.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/CVSAccess.html
+	xalan -in Docs/plugins/CVSAccess.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/CVSAccess.html
 
 install_pluginbkdinit:
 	#
@@ -133,7 +133,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/BKDInit.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/BKDInit.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/BKDInit.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/BKDInit.html
+	xalan -in Docs/plugins/BKDInit.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/BKDInit.html
 
 install_plugineximconf:
 	#
@@ -144,7 +144,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/EximConf.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/EximConf.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/EximConf.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
+	xalan -in Docs/plugins/EximConf.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
 
 install_plugineximconf4:
 	#
@@ -155,7 +155,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/EximConf4.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/EximConf4.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/EximConf4.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
+	xalan -in Docs/plugins/EximConf4.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
 
 install_all_plugins: install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber install_plugincvsaccess install_pluginbkdinit

=== debian/changelog ===
adduser-ng (0.1.2-1.3) unstable; urgency=low

  * NMU
  * Fix xalan option in Makefile and in docbook2html.sh (Closes: #357228)
  * Move debhelper in Build-Depends since it is required on clean
  * Use sed instead of perl in Makefile clean target
  * Update FSF address in debian/copyright
  * Bump standards version

 -- Julien Danjou <acid@debian.org>  Wed, 17 May 2006 12:53:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: extra
 Maintainer: Robert Olejnik <robert@zaron.debian.pl>
-Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, perl (>= 5.6), w3m
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>> 4.0.0)
+Build-Depends-Indep: xalan, xmlto, w3m, perl (>= 5.6)
+Standards-Version: 3.7.2
 
 Package: adduser-ng
 Architecture: all

## adduser-ng 0.1.2-2

=== debian/changelog ===
adduser-ng (0.1.2-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group.

 -- Luk Claes <luk@debian.org>  Tue,  5 Dec 2006 20:37:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: adduser-ng
 Section: admin
-Priority: extra
-Maintainer: Robert Olejnik <robert@zaron.debian.pl>
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>> 4.0.0)
 Build-Depends-Indep: xalan, xmlto, w3m, perl (>= 5.6)
 Standards-Version: 3.7.2

## adduser-ng 0.1.2-3

=== debian/changelog ===
adduser-ng (0.1.2-3) unstable; urgency=low

  * QA upload.
  * Correct a few typos spottedby A. Costa. (Closes: #410603)
  * Bump debhelper compatibility to 5.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 12 Apr 2007 13:27:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>> 4.0.0)
+Build-Depends: debhelper (>> 5.0.0)
 Build-Depends-Indep: xalan, xmlto, w3m, perl (>= 5.6)
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DH_COMPAT=4
 
 #
 # PACKAGES
